diff --git a/Assets/CoolapeFrameData/verControl/android/ver4Upgrade.v b/Assets/CoolapeFrameData/verControl/android/ver4Upgrade.v
index 9500d96..10de968 100644
--- a/Assets/CoolapeFrameData/verControl/android/ver4Upgrade.v
+++ b/Assets/CoolapeFrameData/verControl/android/ver4Upgrade.v
@@ -222,74 +220,76 @@ trCRM/upgradeRes/other/uiAtlas/cust/Android/more.unity3d,f05eafb34336f1fcb5d614a
 trCRM/upgradeRes/priority/lua/db/DBMessage.lua,a80d8448cfdaebb072b3d7ec5f40bb60
 trCRM/upgradeRes/other/uiAtlas/public/Android/on_off_bg.unity3d,96fcd3ce2ee9ffa2941973cefea6511d
 trCRM/upgradeRes/priority/lua/ui/panel/CLLPSplash.lua,8ce0b645f948233e6328b20a07a5999c
-trCRM/upgradeRes/priority/lua/json/rpc.lua,28c2f09ceb729d01052d8408eed0b57a
-trCRM/upgradeRes/other/uiAtlas/mine/Android/me_set.unity3d,c53cddeef8f62d67a2a4110447466536
-trCRM/upgradeRes/priority/lua/toolkit/KKLogListener.lua,ea247a154e19eb79e678e12ba8b52e06
+trCRM/upgradeRes/other/uiAtlas/order/Android/ipt_bg.unity3d,89541a2aaed40069c1f0ce363c5a8e2a
+trCRM/upgradeRes/other/uiAtlas/guid/Android/1.unity3d,7654268e7c4bc7cea47f584d306f503d
+trCRM/upgradeRes/priority/lua/toolkit/KKLogListener.lua,85784ec79aefde29be3ef308e7b5203b
 trCRM/upgradeRes/priority/lua/bio/BioUtl.lua,f64afdd9ccdf943f5d4ba2fc3c3241ef
-trCRM/upgradeRes/other/uiAtlas/public/Android/radio_full.unity3d,299e73e63c854e9d88dc63f1c19a45f9
-trCRM/upgradeRes/other/uiAtlas/public/Android/company_bg.unity3d,2153c725242937cf5fce727da9626dad
+trCRM/upgradeRes/priority/lua/ui/cell/CLLUICellPoplist.lua,18d47301d459fd66ed63b902546e8619
+trCRM/upgradeRes/other/uiAtlas/public/Android/tips_1.unity3d,aca2dfb1fbece45c7333447195bc7efe
 trCRM/upgradeRes/priority/lua/ui/panel/TRPNewFollow.lua,ef981e78f783343271b8c655f358084c
+trCRM/upgradeRes/other/uiAtlas/mine/Android/myset_password.unity3d,04bebaa914245dd4d2376f9ded0ad15f
 trCRM/upgradeRes/priority/lua/ui/panel/CLLPLogin.lua,f2ba83d01af3371bee83945f470facd5
-trCRM/upgradeRes/priority/lua/net/CLLNet.lua,df3108c65b288722530f80bb73893062
-trCRM/upgradeRes/other/uiAtlas/work/Android/work_icon_2.unity3d,3bcd13c7b2003a1bcf92aaa4d2dbf6fe
-trCRM/upgradeRes/priority/lua/ui/cell/CLLUICalenderMonth.lua,16af9ed096ad6b902a156f6e0a20021f
+trCRM/upgradeRes/priority/lua/net/CLLNet.lua,947abdf2c019f44a26211acf6f31e2dd
+trCRM/upgradeRes/priority/lua/ui/panel/CLLPHotWheel.lua,1760aa9933da4b421f1c6093d802cb4f
 trCRM/upgradeRes/priority/ui/panel/Android/PanelLoginCoolape.unity3d,efb09b206c444d66d10720371645049b
-trCRM/upgradeRes/priority/lua/ui/panel/TRPResetPasswordStep1.lua,def4741f89df3925682e53df01bb70cc
+trCRM/upgradeRes/other/uiAtlas/work/Android/work_icon_1.unity3d,41ae133fd4da0f2bf01316f91cf67fb8
 trCRM/upgradeRes/priority/ui/panel/Android/PanelStart.unity3d,50cfab21f360ee339c94b1111be09fef
 trCRM/upgradeRes/other/uiAtlas/mine/Android/log_bg.unity3d,fd1470749300ec31bcbe7f59686152d7
 trCRM/upgradeRes/other/uiAtlas/mine/Android/myset_remind.unity3d,99a50a17b34f464693ac84d1c6f38966
-trCRM/upgradeRes/other/uiAtlas/work/Android/work_ranking.unity3d,9a0b0f94d60e9ff144193c83915b21fa
+trCRM/upgradeRes/priority/www/baidumap.html,d210e48796dd96343f9c17bc1d230136
 trCRM/upgradeRes/priority/ui/panel/Android/PanelSelectCompany.unity3d,2aa019a477ea5b160780ded080dc82ec
 trCRM/upgradeRes/priority/lua/toolkit/LuaUtl.lua,96b4f88eea21e061eff2e3f76fbb623b
 trCRM/upgradeRes/priority/lua/city/CLLCity.lua,b7ee9fffacb28d09ab08728a49dedc8e
-trCRM/upgradeRes/other/uiAtlas/cust/Android/position.unity3d,e60132eb1d8cfbc71046611111fd3099
+trCRM/upgradeRes/other/uiAtlas/news/Android/news_bg_num2.unity3d,bfdbfc9e1fd1f91de555c0801d278d25
 trCRM/upgradeRes/priority/lua/ui/cell/CLLCellWWWProgress.lua,ec0258e77f76c8b681d0f02e7a5ff342
-trCRM/upgradeRes/other/uiAtlas/cust/Android/task.unity3d,737ce6fdd55d7642f690531d9410ff6a
-trCRM/upgradeRes/priority/lua/ui/cell/TRCellCustFilterGroup.lua,93cdb67f51a62110b38e133b065f8f85
+trCRM/upgradeRes/priority/lua/ui/panel/CLLPCalender.lua,232cf2b7f74f088e8b44c4c47cda5e95
+trCRM/upgradeRes/priority/ui/other/Android/InputText.unity3d,d27c231bd910b5d72c90a86efda2a660
 trCRM/upgradeRes/priority/lua/ui/panel/TRPCustListProc.lua,1973dc8d949ed85e01b09aff328d1033
 trCRM/upgradeRes/other/uiAtlas/icon/Android/icon_26_no.unity3d,c16242cb394b0720d1c2e1e0289c1c4a
-trCRM/upgradeRes/priority/lua/ui/panel/CLLPHotWheel.lua,1760aa9933da4b421f1c6093d802cb4f
+trCRM/upgradeRes/other/uiAtlas/cust/Android/position.unity3d,e60132eb1d8cfbc71046611111fd3099
 trCRM/upgradeRes/other/uiAtlas/cust/Android/time.unity3d,38bf54e9fbf1c1d8af2cead294d1b61e
 trCRM/upgradeRes/other/uiAtlas/cust/Android/bg.unity3d,37a58d5a79d3691b2c32a74422721ee7
 trCRM/upgradeRes/priority/lua/public/CLLInclude.lua,476b749169d54c4b08e8749743983d92
 trCRM/upgradeRes/other/uiAtlas/work/Android/380bg.unity3d,0634e3823e2492d32424733dd05779af
-trCRM/upgradeRes/other/uiAtlas/order/Android/ipt_bg.unity3d,89541a2aaed40069c1f0ce363c5a8e2a
+trCRM/upgradeRes/priority/lua/ui/cell/CLLUICalenderMonth.lua,16af9ed096ad6b902a156f6e0a20021f
 trCRM/upgradeRes/other/uiAtlas/public/Android/tips_3.unity3d,2834e3cc399b70e7621065ad4ddaedf6
-trCRM/upgradeRes/priority/ui/other/Android/Frame2.unity3d,d057ea60bdf5dd821705a9f7e67e5171
-trCRM/upgradeRes/priority/lua/ui/panel/CLLPStart.lua,4bf6daac6cc6e35679ca2bad64b0c18e
+trCRM/upgradeRes/other/uiAtlas/cust/Android/oean.unity3d,3cea16f73014b0b19797a3213467af0a
+trCRM/upgradeRes/priority/lua/ui/panel/CSPTasks.lua,ad3d36656af6d646814046ff9059ab72
 trCRM/upgradeRes/priority/lua/ui/panel/TRPLogin.lua,e18549cd43b8e476b5c2d1414594c592
 trCRM/upgradeRes/priority/lua/public/CLLStack.lua,579069654d88a15e43c818a6b8079b15
 trCRM/upgradeRes/priority/atlas/Android/atlasAllReal.unity3d,6b50b4e4afbdc66704ed49d4b15135f9
 trCRM/upgradeRes/priority/ui/panel/Android/PanelNewCust.unity3d,e1b7e9cecfa7c0104e475a8d84cc28db
 trCRM/upgradeRes/other/uiAtlas/public/Android/button2.unity3d,1a48080b1d43367921fc09b430fffaf5
-trCRM/upgradeRes/other/uiAtlas/order/Android/close.unity3d,1b49cc4db64de50d13ee029447a3d49d
-trCRM/upgradeRes/priority/lua/net/NetProto.lua,b621e94605f1f6e106a80cfcfc39e6ca
+trCRM/upgradeRes/priority/lua/ui/panel/TRPResetPasswordStep3.lua,0d3be662e0a236b709d8f1f9d6b3321e
+trCRM/upgradeRes/priority/lua/net/NetProto.lua,434601ac6cfd2ce441a0009f109f0757
 trCRM/upgradeRes/other/uiAtlas/mine/Android/me_set2.unity3d,e528f24899ef583c113ca69bbb510ebd
 trCRM/upgradeRes/other/uiAtlas/mine/Android/me_opinion.unity3d,1935579d226c7400323115d8be90421d
 trCRM/upgradeRes/other/uiAtlas/coolape/Android/user.unity3d,dc5411391ea0beae4ecc9a4541f1cb21
 trCRM/upgradeRes/priority/lua/ui/cell/CLLFrame1.lua,1fd4e80adb13bd0d3cb0d7449922667b
-trCRM/upgradeRes/other/uiAtlas/public/Android/choose.unity3d,e31379a28ab86046414db1fb23cd2bf6
+trCRM/upgradeRes/priority/ui/panel/Android/PanelCustDetail.unity3d,7049ee32087377d48468ccee634e67c7
+trCRM/upgradeRes/priority/ui/panel/Android/PanelGuid.unity3d,d58c2f53bba85cb8e969e744ff706f3a
 trCRM/upgradeRes/priority/lua/ui/panel/TRPMoreProc4Cust.lua,cc11fe3b2530891e91e2c649762d06f8
-trCRM/upgradeRes/priority/ui/panel/Android/PanelPopList.unity3d,a0ba753b0deecff9a85c8cd2b60013dd
+trCRM/upgradeRes/other/uiAtlas/news/Android/news_bg_num1.unity3d,2ed88c277f983b8d1a3dedf73d735239
 trCRM/upgradeRes/priority/ui/panel/Android/PanelSceneManager.unity3d,c83769673e1c0793d88547c05d20a82e
 trCRM/upgradeRes/priority/localization/Chinese.txt,08ac586b625d0a126a610344a1846e8f
 trCRM/upgradeRes/other/uiAtlas/login/Android/log_sms.unity3d,8677ba455b4c85e5f1230986ff1032cf
 trCRM/upgradeRes/other/uiAtlas/cust/Android/star.unity3d,f9684ea4b4e3a4206fc898bc6e4651ab
-trCRM/upgradeRes/priority/lua/db/DBStatistics.lua,e64ad532dabb2cb70c4053e223770969
+trCRM/upgradeRes/priority/lua/toolkit/curve.lua,f97735ed6c39accb55cdae44b62b5b38
 trCRM/upgradeRes/other/uiAtlas/mine/Android/me_customer.unity3d,5676922ef1749c311285d1a207b8397b
-trCRM/upgradeRes/other/uiAtlas/cust/Android/record.unity3d,afd45ba065ba86f138b8c92b9794c722
-trCRM/upgradeRes/other/uiAtlas/cust/Android/cus_tel.unity3d,692b010c775fb99d05d342f5ad0272fa
-trCRM/upgradeRes/other/uiAtlas/news/Android/news_bg_num1.unity3d,2ed88c277f983b8d1a3dedf73d735239
+trCRM/upgradeRes/priority/lua/bio/BioInputStream.lua,b3f94b1017db307427c6e39a8ee4d60e
+trCRM/upgradeRes/other/uiAtlas/order/Android/ipt.unity3d,68e98b41456c62324871a1c86caefafc
+trCRM/upgradeRes/other/uiAtlas/news/Android/new2_bg_20.unity3d,8e81d4a650273e24b7f129d1f814f5fa
 trCRM/upgradeRes/other/uiAtlas/login/Android/log_no.unity3d,2ee604556b4fff6186f2bad067ed8695
 trCRM/upgradeRes/other/uiAtlas/cust/Android/cus_followup.unity3d,a722ae8374cf3aa0fd87fc6d74ddabfd
 trCRM/upgradeRes/other/uiAtlas/cust/Android/kuang.unity3d,a6ce8e74b0631e79ce2e03f2fed3baea
 trCRM/upgradeRes/other/uiAtlas/news/Android/news_2.unity3d,802f5fec3b39fb208b1bd8a400801081
-trCRM/upgradeRes/other/uiAtlas/mine/Android/myset_fingerprint.unity3d,de777211a380a09ea82e1092a9fba414
-trCRM/upgradeRes/other/uiAtlas/mine/Android/myset_password.unity3d,04bebaa914245dd4d2376f9ded0ad15f
+trCRM/upgradeRes/other/uiAtlas/news/Android/new2_remind.unity3d,04a96d237c5e80ab044a54e7c063e368
+trCRM/upgradeRes/priority/ui/other/Android/reportform1.unity3d,5d061e9c5511ae3b978dbfe2be87f35e
 trCRM/upgradeRes/other/uiAtlas/public/Android/button.unity3d,ff51e79201ecbd61247f8db792009aff
+trCRM/upgradeRes/other/uiAtlas/public/Android/on_off.unity3d,69b1b8dfdfc0afecdd9fdd9dbd5fb98a
 trCRM/upgradeRes/other/uiAtlas/coolape/Android/logo.unity3d,c712e48e071a87fb6668333774da19a6
-trCRM/upgradeRes/other/uiAtlas/order/Android/system.unity3d,570fa72b2d385d604cc7c9f7516965da
-trCRM/upgradeRes/priority/ui/panel/Android/PanelCustDetail.unity3d,7049ee32087377d48468ccee634e67c7
+trCRM/upgradeRes/priority/lua/ui/cell/CLCellToast.lua,6e350721fca8167bd621df86ad982326
+trCRM/upgradeRes/priority/lua/json/rpc.lua,28c2f09ceb729d01052d8408eed0b57a
 trCRM/upgradeRes/other/uiAtlas/mine/Android/myset_clean_up.unity3d,51e9fd3012fca7d448c3578c281bd15e
-trCRM/upgradeRes/other/uiAtlas/main/Android/icon_work2.unity3d,eca0bd19a59ce72be19d7cdcbf9c5dac
+trCRM/upgradeRes/priority/lua/toolkit/curve-families.png,d0b6b9b8a623a188aeae2fb688a8a0e5
 trCRM/upgradeRes/other/uiAtlas/coolape/Android/password.unity3d,ae473953dbd84c6f9a4e736f5101f4a2
diff --git a/Assets/CoolapeFrameData/verControl/android/ver4UpgradeMd5.v b/Assets/CoolapeFrameData/verControl/android/ver4UpgradeMd5.v
index ec26211..0e8c224 100644
--- a/Assets/CoolapeFrameData/verControl/android/ver4UpgradeMd5.v
+++ b/Assets/CoolapeFrameData/verControl/android/ver4UpgradeMd5.v
@@ -28,7 +28,7 @@ trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPConfirm2.lua,bd0ea9f50708dedd5
 trCRM/upgradeRes4Publish/priority/ui/panel/Android/PanelPopList.unity3d,a0ba753b0deecff9a85c8cd2b60013dd
 trCRM/upgradeRes4Publish/priority/lua/toolkit/CLLVerManager.lua,39b154e796d60c2c40ebcc427a5c05e8
 trCRM/upgradeRes4Publish/priority/ui/panel/Android/PanelSceneManager.unity3d,c83769673e1c0793d88547c05d20a82e
-trCRM/upgradeRes4Publish/priority/lua/CLLMainLua.lua,5bbe3b6bf2cfc6515d3ec0da8254f50e
+trCRM/upgradeRes4Publish/priority/lua/CLLMainLua.lua,c0cae0cd02eba21111cf005f6c608901
 trCRM/upgradeRes4Publish/priority/ui/panel/Android/PanelMsg.unity3d,e0d5c4eb46bc7c1734c79206bd0962e0
 trCRM/upgradeRes4Publish/other/uiAtlas/cust/Android/play.unity3d,ae412dff53c914bcfcd0ca92255bb33e
 trCRM/upgradeRes4Publish/other/uiAtlas/mine/Android/me_order.unity3d,26bc3076031940af6069ef5a9143fb5a
@@ -64,7 +64,7 @@ trCRM/upgradeRes4Publish/other/uiAtlas/public/Android/radio.unity3d,4f2c80de666b
 trCRM/upgradeRes4Publish/priority/lua/bio/BioType.lua,4667e9def8191cbf2b9dc25e928bc23f
 trCRM/upgradeRes4Publish/other/uiAtlas/order/Android/ipt.unity3d,68e98b41456c62324871a1c86caefafc
 trCRM/upgradeRes4Publish/other/uiAtlas/main/Android/icon_news.unity3d,3a1afa79dbc710c3ddd6f65cf62f4a19
-trCRM/upgradeRes4Publish/priority/lua/public/CLLIncludeBase.lua,43d2d24799b0e783c0759d0c52f8c5d7
+trCRM/upgradeRes4Publish/priority/lua/public/CLLIncludeBase.lua,87bcfc58c6d99be6fe89102d7323c95e
 trCRM/upgradeRes4Publish/priority/ui/panel/Android/PanelResetPasswordStep1.unity3d,150f48b7b68e00e8b3e513ec2b75333a
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellCustStar.lua,ed39330cf68d1e1e062bc8311d1e8d44
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellExtendFieldRoot.lua,39703716cb222091e69ae0eefbf54f5f
@@ -119,7 +119,7 @@ trCRM/upgradeRes4Publish/priority/ui/panel/Android/PanelMain.unity3d,a56567b7890
 trCRM/upgradeRes4Publish/other/uiAtlas/public/Android/tips_4.unity3d,67187ab01b7b863b2a7f37b430212a3d
 trCRM/upgradeRes4Publish/priority/lua/toolkit/curve.lua,f97735ed6c39accb55cdae44b62b5b38
 trCRM/upgradeRes4Publish/priority/ui/panel/Android/PanelConnect.unity3d,f80a29df002dc606e21fd69fbea40021
-trCRM/upgradeRes4Publish/priority/ui/panel/Android/PanelLogin.unity3d,01e2d641bf61652b730108d269a56d6b
+trCRM/upgradeRes4Publish/priority/ui/panel/Android/PanelLogin.unity3d,5cac11a5557933d49c37a554c76a730f
 trCRM/upgradeRes4Publish/other/uiAtlas/cust/Android/msg.unity3d,7f98a936769044c856c6082beb3559e3
 trCRM/upgradeRes4Publish/other/uiAtlas/public/Android/on_off.unity3d,69b1b8dfdfc0afecdd9fdd9dbd5fb98a
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellPopCheckbox.lua,25adbf58789186d43c15cfe65d2e8501
@@ -141,7 +141,7 @@ trCRM/upgradeRes4Publish/other/uiAtlas/work/Android/work_icon_3.unity3d,651d8148
 trCRM/upgradeRes4Publish/priority/ui/panel/Android/PanelPopCheckBoxs.unity3d,ac475eab72569cc86cc098951c114716
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellGuidPage.lua,7b3c3f567c3e0d92065913101b08ddd0
 trCRM/upgradeRes4Publish/priority/ui/panel/Android/PanelCustFilter.unity3d,90d589021f3db8641b14920daf93f1dc
-trCRM/upgradeRes4Publish/priority/ui/panel/Android/PanelHotWheel.unity3d,4cd3b51592c3e769cd40525a0c4fc8e6
+trCRM/upgradeRes4Publish/priority/ui/panel/Android/PanelHotWheel.unity3d,7a3ae06303e65f59f15af5b906b7a471
 trCRM/upgradeRes4Publish/other/uiAtlas/mine/Android/myset_check.unity3d,d9092d78af855e769abff1223f650a9d
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellReportform2.lua,47ac1164b1ffb27397953ccb032fd2d7
 trCRM/upgradeRes4Publish/other/uiAtlas/news/Android/new2_unread.unity3d,f1b29d8592cdd49f3a526be6b524ad9f
@@ -191,7 +191,7 @@ trCRM/upgradeRes4Publish/priority/lua/ui/cell/CLLFrame1.lua,1fd4e80adb13bd0d3cb0
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/CLLPSplash.lua,8ce0b645f948233e6328b20a07a5999c
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPModifyFiled.lua,99b250c386ce8dad9c10c8f4fe9874f1
 trCRM/upgradeRes4Publish/priority/lua/public/class.lua,cc0f201cc55c59f8bc8f623853382b9c
-trCRM/upgradeRes4Publish/priority/lua/ui/panel/CSPTasks.lua,1cd7b0d9c92e9fce1eb3b99195fea068
+trCRM/upgradeRes4Publish/priority/lua/ui/panel/CSPTasks.lua,ad3d36656af6d646814046ff9059ab72
 trCRM/upgradeRes4Publish/other/uiAtlas/news/Android/new2_remind.unity3d,04a96d237c5e80ab044a54e7c063e368
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPResetPasswordStep3.lua,0d3be662e0a236b709d8f1f9d6b3321e
 trCRM/upgradeRes4Publish/other/uiAtlas/login/Android/log_visible.unity3d,884f69f0dd0c2a58af5ad891f23e985e
@@ -219,7 +219,7 @@ trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPCustFilter.lua,0725109e55276b5
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/CLLPWWWProgress.lua,b713ddf9f0af8602ec48f71162181d6d
 trCRM/upgradeRes4Publish/priority/ui/panel/Android/PanelEditPrice.unity3d,baa0e7f3e00e62b0d5cb5263d7583000
 trCRM/upgradeRes4Publish/priority/lua/public/CLLStack.lua,579069654d88a15e43c818a6b8079b15
-trCRM/upgradeRes4Publish/priority/ui/panel/Android/PanelTasks.unity3d,82aaf6542a4ad8546a55f66997d61f66
+trCRM/upgradeRes4Publish/priority/ui/panel/Android/PanelTasks.unity3d,003d70126d4efbaf73eb9bc83e4ba142
 trCRM/upgradeRes4Publish/other/uiAtlas/cust/Android/phone.unity3d,36e34519b910a11de3531994f607a140
 trCRM/upgradeRes4Publish/priority/ui/panel/Android/PanelConfirm2.unity3d,d199779b559cef259ebbfe686ba42703
 trCRM/upgradeRes4Publish/other/uiAtlas/cust/Android/peo.unity3d,939edcb747217aa4b0deb1d9a34f16b8
@@ -229,16 +229,16 @@ trCRM/upgradeRes4Publish/other/uiAtlas/cust/Android/more.unity3d,f05eafb34336f1f
 trCRM/upgradeRes4Publish/priority/lua/db/DBMessage.lua,a80d8448cfdaebb072b3d7ec5f40bb60
 trCRM/upgradeRes4Publish/other/uiAtlas/public/Android/on_off_bg.unity3d,96fcd3ce2ee9ffa2941973cefea6511d
 trCRM/upgradeRes4Publish/other/uiAtlas/mine/Android/me_set.unity3d,c53cddeef8f62d67a2a4110447466536
-trCRM/upgradeRes4Publish/priority/lua/toolkit/KKLogListener.lua,ea247a154e19eb79e678e12ba8b52e06
+trCRM/upgradeRes4Publish/priority/lua/toolkit/KKLogListener.lua,85784ec79aefde29be3ef308e7b5203b
 trCRM/upgradeRes4Publish/other/uiAtlas/work/Android/380bg.unity3d,0634e3823e2492d32424733dd05779af
 trCRM/upgradeRes4Publish/other/uiAtlas/public/Android/tips_1.unity3d,aca2dfb1fbece45c7333447195bc7efe
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPCustListProc.lua,1973dc8d949ed85e01b09aff328d1033
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/CLLPLogin.lua,f2ba83d01af3371bee83945f470facd5
-trCRM/upgradeRes4Publish/priority/lua/net/CLLNet.lua,df3108c65b288722530f80bb73893062
+trCRM/upgradeRes4Publish/priority/lua/net/CLLNet.lua,947abdf2c019f44a26211acf6f31e2dd
 trCRM/upgradeRes4Publish/other/uiAtlas/work/Android/work_icon_2.unity3d,3bcd13c7b2003a1bcf92aaa4d2dbf6fe
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/CLLUICalenderMonth.lua,16af9ed096ad6b902a156f6e0a20021f
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPNewCust.lua,48fffb94cf7ab94e6c0b2e542bf2d08e
-trCRM/upgradeRes4Publish/priority/ui/panel/Android/PanelPlaySoundRecord.unity3d,be165a88f13182eddc3463380a8a9c97
+trCRM/upgradeRes4Publish/priority/ui/panel/Android/PanelPlaySoundRecord.unity3d,14e1a1da65735a1ac9a4256be49a4e40
 trCRM/upgradeRes4Publish/other/uiAtlas/work/Android/work_icon_1.unity3d,41ae133fd4da0f2bf01316f91cf67fb8
 trCRM/upgradeRes4Publish/priority/ui/panel/Android/PanelStart.unity3d,50cfab21f360ee339c94b1111be09fef
 trCRM/upgradeRes4Publish/other/uiAtlas/mine/Android/log_bg.unity3d,fd1470749300ec31bcbe7f59686152d7
@@ -267,7 +267,7 @@ trCRM/upgradeRes4Publish/other/uiAtlas/news/Android/new2_bg_20.unity3d,8e81d4a65
 trCRM/upgradeRes4Publish/priority/atlas/Android/atlasAllReal.unity3d,6b50b4e4afbdc66704ed49d4b15135f9
 trCRM/upgradeRes4Publish/other/uiAtlas/cust/Android/star.unity3d,f9684ea4b4e3a4206fc898bc6e4651ab
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/CLLPHotWheel.lua,1760aa9933da4b421f1c6093d802cb4f
-trCRM/upgradeRes4Publish/priority/lua/net/NetProto.lua,b621e94605f1f6e106a80cfcfc39e6ca
+trCRM/upgradeRes4Publish/priority/lua/net/NetProto.lua,434601ac6cfd2ce441a0009f109f0757
 trCRM/upgradeRes4Publish/other/uiAtlas/mine/Android/me_opinion.unity3d,1935579d226c7400323115d8be90421d
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPCustDetail.lua,3fc6451c6f494803506287fc7a51e755
 trCRM/upgradeRes4Publish/priority/ui/panel/Android/PanelCustDetail.unity3d,7049ee32087377d48468ccee634e67c7
diff --git a/Assets/trCRM/upgradeRes4Dev/priority/lua/CLLMainLua.lua b/Assets/trCRM/upgradeRes4Dev/priority/lua/CLLMainLua.lua
index 25635a0..bfa0ab3 100644
--- a/Assets/trCRM/upgradeRes4Dev/priority/lua/CLLMainLua.lua
+++ b/Assets/trCRM/upgradeRes4Dev/priority/lua/CLLMainLua.lua
@@ -69,12 +69,11 @@ CLLMainLua.init = function()
 end
 
 function CLLMainLua.setAndroidStatusBar()
-    printe(SystemInfo.deviceName, "====", SystemInfo.deviceModel)
     if CLPathCfg.self.platform ~= "Android" then
         return
     end
-    local mode = SystemInfo.deviceModel
-    if string.find(mode, "huawei") then
+    local mode = string.upper( SystemInfo.deviceModel)
+    if string.find(mode, "HUAWEI") then
         AndroidStatusBar.setFlags(AndroidStatusBar.WINDOW_FLAG_FORCE_NOT_FULLSCREEN)
         AndroidStatusBar.setColor(AndroidStatusBar.DEFAULT_BACKGROUND_COLOR)
     else
diff --git a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/CSPTasks.lua b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/CSPTasks.lua
index f0b05a1..4570932 100644
--- a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/CSPTasks.lua
+++ b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/CSPTasks.lua
@@ -13,7 +13,7 @@ function CSPTasks.init(csObj)
     csSelf = csObj
     transform = csObj.transform
     CSPTasks.setEventDelegate()
-    CSPTasks.contentRect = MyUtl.getUIContent(csSelf, 772)
+    CSPTasks.contentRect = MyUtl.getUIContent(csSelf, 360+220+60)
 
     uiobjs.Content = getCC(transform, "PanelContent", "UIPanel")
     uiobjs.Content.transform.localPosition = Vector3.zero
diff --git a/Assets/trCRM/upgradeRes4Dev/priority/ui/panel/PanelLogin.prefab b/Assets/trCRM/upgradeRes4Dev/priority/ui/panel/PanelLogin.prefab
index 3b4a540..dbf950a 100644
--- a/Assets/trCRM/upgradeRes4Dev/priority/ui/panel/PanelLogin.prefab
+++ b/Assets/trCRM/upgradeRes4Dev/priority/ui/panel/PanelLogin.prefab
@@ -840,7 +840,7 @@ MonoBehaviour:
   pressed: {r: 0.7176471, g: 0.6392157, b: 0.48235294, a: 1}
   disabledColor: {r: 0.5, g: 0.5, b: 0.5, a: 1}
   duration: 0.2
-  skipColorEffect: 0
+  skipColorEffect: 1
   dragHighlight: 0
   hoverSprite: 
   pressedSprite: 
diff --git a/Assets/trCRM/upgradeRes4Dev/priority/ui/panel/PanelTasks.prefab b/Assets/trCRM/upgradeRes4Dev/priority/ui/panel/PanelTasks.prefab
index 1460a3e..3de1943 100644
--- a/Assets/trCRM/upgradeRes4Dev/priority/ui/panel/PanelTasks.prefab
+++ b/Assets/trCRM/upgradeRes4Dev/priority/ui/panel/PanelTasks.prefab
@@ -26,7 +26,7 @@ Transform:
   m_PrefabAsset: {fileID: 0}
   m_GameObject: {fileID: 2039622863}
   m_LocalRotation: {x: 0, y: 0, z: 0, w: 1}
-  m_LocalPosition: {x: -1, y: 0, z: 0}
+  m_LocalPosition: {x: -1, y: -597, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
   m_Children: []
   m_Father: {fileID: 2079010362}
@@ -62,14 +62,14 @@ MonoBehaviour:
     absolute: 0
   updateAnchors: 1
   mColor: {r: 1, g: 1, b: 1, a: 1}
-  mPivot: 1
+  mPivot: 7
   mWidth: 1129
-  mHeight: 720
+  mHeight: 900
   mDepth: 0
   autoResizeBoxCollider: 0
   hideIfOffScreen: 0
   keepAspectRatio: 0
-  aspectRatio: 1.5680555
+  aspectRatio: 1.2544445
   mType: 4
   mFillDirection: 4
   mFillAmount: 1
@@ -421,7 +421,7 @@ Transform:
   m_PrefabAsset: {fileID: 0}
   m_GameObject: {fileID: 428542163589643225}
   m_LocalRotation: {x: -0, y: -0, z: -0, w: 1}
-  m_LocalPosition: {x: -414, y: -312, z: 0}
+  m_LocalPosition: {x: -414, y: -180, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
   m_Children:
   - {fileID: 8257572729724756153}
@@ -1338,7 +1338,7 @@ Transform:
   m_PrefabAsset: {fileID: 0}
   m_GameObject: {fileID: 1606320567603967605}
   m_LocalRotation: {x: 0, y: 0, z: 0, w: 1}
-  m_LocalPosition: {x: -1, y: -492, z: 0}
+  m_LocalPosition: {x: -1, y: -360, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
   m_Children: []
   m_Father: {fileID: 2079010362}
@@ -1423,7 +1423,7 @@ Transform:
   m_PrefabAsset: {fileID: 0}
   m_GameObject: {fileID: 1776223273951753645}
   m_LocalRotation: {x: 0, y: 0, z: 0, w: 1}
-  m_LocalPosition: {x: -271, y: -273, z: 0}
+  m_LocalPosition: {x: -271, y: -151, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
   m_Children: []
   m_Father: {fileID: 2079010362}
@@ -1832,7 +1832,7 @@ Transform:
   m_PrefabAsset: {fileID: 0}
   m_GameObject: {fileID: 2627781041010536112}
   m_LocalRotation: {x: 0, y: 0, z: 0, w: 1}
-  m_LocalPosition: {x: 406, y: -304, z: 0}
+  m_LocalPosition: {x: 406, y: -182, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
   m_Children:
   - {fileID: 3138439517586622980}
@@ -2735,7 +2735,7 @@ Transform:
   m_PrefabAsset: {fileID: 0}
   m_GameObject: {fileID: 4359412390550565533}
   m_LocalRotation: {x: 0, y: 0, z: 0, w: 1}
-  m_LocalPosition: {x: 0, y: -572, z: 0}
+  m_LocalPosition: {x: 0, y: -440, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
   m_Children:
   - {fileID: 6633121965301904038}
@@ -2776,7 +2776,7 @@ MonoBehaviour:
   mColor: {r: 1, g: 1, b: 1, a: 1}
   mPivot: 1
   mWidth: 100
-  mHeight: 8
+  mHeight: 1998
   mDepth: 0
   autoResizeBoxCollider: 0
   hideIfOffScreen: 0
@@ -5668,7 +5668,7 @@ Transform:
   m_PrefabAsset: {fileID: 0}
   m_GameObject: {fileID: 8373088910775864060}
   m_LocalRotation: {x: 0, y: 0, z: 0, w: 1}
-  m_LocalPosition: {x: -271, y: -366, z: 0}
+  m_LocalPosition: {x: -271, y: -244, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
   m_Children: []
   m_Father: {fileID: 2079010362}
@@ -6297,7 +6297,7 @@ Transform:
   m_PrefabAsset: {fileID: 0}
   m_GameObject: {fileID: 8955698659341431204}
   m_LocalRotation: {x: 0, y: 0, z: 0, w: 1}
-  m_LocalPosition: {x: -1, y: 10, z: 0}
+  m_LocalPosition: {x: -1, y: -212, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
   m_Children: []
   m_Father: {fileID: 2972147043370464305}
@@ -6330,17 +6330,17 @@ MonoBehaviour:
   topAnchor:
     target: {fileID: 2972147043370464305}
     relative: 1
-    absolute: -130
+    absolute: -574
   updateAnchors: 1
   mColor: {r: 1, g: 1, b: 1, a: 1}
   mPivot: 4
   mWidth: 1125
-  mHeight: 2024
+  mHeight: 1580
   mDepth: -1
   autoResizeBoxCollider: 1
   hideIfOffScreen: 0
   keepAspectRatio: 0
-  aspectRatio: 0.55583006
+  aspectRatio: 0.71247625
 --- !u!65 &4584927893713608480
 BoxCollider:
   m_ObjectHideFlags: 0
@@ -6352,7 +6352,7 @@ BoxCollider:
   m_IsTrigger: 0
   m_Enabled: 1
   serializedVersion: 2
-  m_Size: {x: 1125, y: 2024, z: 0}
+  m_Size: {x: 1125, y: 1580, z: 0}
   m_Center: {x: 0, y: 0, z: 0}
 --- !u!114 &9073211477204691680
 MonoBehaviour:
diff --git a/Assets/trCRM/upgradeRes4Ver/trCRM/resVer/Android/VerCtl.ver b/Assets/trCRM/upgradeRes4Ver/trCRM/resVer/Android/VerCtl.ver
index 037a9b8..080c776 100644
--- a/Assets/trCRM/upgradeRes4Ver/trCRM/resVer/Android/VerCtl.ver
+++ b/Assets/trCRM/upgradeRes4Ver/trCRM/resVer/Android/VerCtl.ver
@@ -1 +1 @@
-r8	(trCRM/resVer/Android/VerCtl/priority.ver8,b24aada9bf7dd47491df4434dc1cbfae8	%trCRM/resVer/Android/VerCtl/other.ver8,dc65aaee0c1df6fcd7279730917b98fe
\ No newline at end of file
+r8	(trCRM/resVer/Android/VerCtl/priority.ver8,6f6aee971fe3160d6bfd5614dc84a5c28	%trCRM/resVer/Android/VerCtl/other.ver8,dc65aaee0c1df6fcd7279730917b98fe
\ No newline at end of file
